<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.StoreActivityRuleDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.StoreActivityRuleDetail">
        <id column="id" property="id" />
        <result column="activity_id" property="activityId" />
        <result column="activity_rule_id" property="activityRuleId" />
        <result column="detail_type" property="detailType" />
        <result column="days_number" property="daysNumber" />
        <result column="days_money" property="daysMoney" />
        <result column="task_type" property="taskType" />
        <result column="claims_number" property="claimsNumber" />
        <result column="task_detail" property="taskDetail" />
        <result column="browse_time" property="browseTime" />
        <result column="min_amount" property="minAmount" />
        <result column="max_amount" property="maxAmount" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_user_id" property="updatedUserId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, activity_id, activity_rule_id, detail_type, days_number, days_money, task_type, claims_number, task_detail, browse_time, min_amount, max_amount, delete_flag, created_time, updated_time, created_user_id, updated_user_id
    </sql>

</mapper>
